package client.view;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

public class LoginWindow extends JFrame {
	
	private static final long serialVersionUID = -4252108955997022983L;
	private final String USERNAME_LABEL = "Username";
	public final String LOGIN = "LOGIN";	
	public final String TITLE = "Login Window";	
	
	protected final int FIELD_WIDTH = 25;	
	protected JLabel prompt = new JLabel("");
	protected JTextField usernameField = new JTextField(FIELD_WIDTH);
	protected JLabel usernameLabel = new JLabel(USERNAME_LABEL);
	
	public String getUserName() {		
		return usernameField.getText();
	}
	
	public void setMessage(String message) {
		prompt.setText(message);
	}
}
