package common;

public class Commands {
	public static final String NOTIFY = "cmd_notify:"; // from server side cmd + ASSIGNED + username
													   // 				   cmd + LOGGED_OUT + username
													   // 				   cmd + NO_USER
	public static final String ACTIVATE = "cmd_activate:";	//from server side as cmd + options      // options can be either 0 or 1
	public static final String CONNECTION_REPLY = "cmd_connection:"; //from server side as cmd OK or BUSY
																	 //from server side as cmd KEY public_key_1 public_key_2
	public static final String MESSAGE = "cmd_msg:";		//from client side as cmd + username + message
	public static final String LOGIN = "cmd_login:"; //from client side as cmd + type + username + password
	public static final String LOGIN_REPLY = "cmd_login_msg:"; //from server side as cmd + message       msg can be FAIL or OK or DENY
	public static final String KEY = "KEY";
	public static final String LOGIN_SUCCESS = "OK";	
	public static final String LOGIN_FAILURE = "FAIL";	
	public static final String LOGIN_DENIED = "DENY";
	public static final String SUCCESS = "SUCCESS";	
	public static final String FAILURE = "FAILURE";
	public static final String SERVER = "SERVER";
	public static final String ASSIGNED = "ASSIGNED";
	public static final String LOGGED_OUT = "LOGGED_OUT";
	public static final String NO_USER = "NO_USER";
	public static final String LOGOUT = "cmd_logout:";	//from server side as cmd
	public static final String LOGOUT_REPLY = "cmd_logout:";	//from server side as cmd + SUCCESS or FAILURE
	public static final String END_CHAT = "cmd_end_chat: ";	 //from client side as cmd
	public static final String TRANSFER = "cmd_transfer_to:"; //from client side as cmd + username
	public static final String TRANSFER_REPLY = "cmd_transfer_reply:"; //from client side as cmd + SUCCESS or FAILURE
	public static final String TRANSFER_MODE = "cmd_transfer_mode:";
	public static final String TRANSFER_LIST = "cmd_get_transfer_list:"; //from client side as cmd
	public static final String TRANSFER_LIST_REPLY = "cmd_sent_transfer_list:"; //from server side as cmd + username1 +username2 ...
	public static final String GET_LIST = "cmd_get_list:"; //from client side as cmd
	public static final String GET_LIST_REPLY = "cmd_sent_list:"; //from server side as cmd + username1 + username2 + ....
	public static final String REQUEST_USER = "cmd_request_user:"; // from client side as cmd
}
