package server;

/*
 * This class is a node to keep information about Help Desk person.
 */
public class HelpDeskDirectory
{
	private String First_Name;		// First name of the Help Desk person
	private String Last_Name;		// Last name of the Help Desk person
	private String user_name;		// user_name of the Help Desk person
	private String pass;			// password of the Help Desk person
	
	HelpDeskDirectory(String FName, String LName)		// constructor of the class with First and Last name of the Help Desk
	{
		this.First_Name = FName;
		this.Last_Name = LName;
	}
	
	HelpDeskDirectory(String FName)			
	{
		this.First_Name = FName;
		this.Last_Name = "";
	}
	HelpDeskDirectory(String FName, String LName, String userN, String pass)
	{
		this.First_Name = FName;
		this.Last_Name = LName;
		this.user_name = userN;
		this.pass = pass;
	}
	public void set_userName(String userName)
	{
		this.user_name = userName;
	}
	
	public void set_password(String password)
	{
		this.pass = password;
	}
	
	public String get_firstName()
	{
		return this.First_Name;
	}
	
	public String get_lastName()
	{
		return this.Last_Name;
	}
	public String get_username()
	{
		return this.user_name;
	}
	
	public boolean check_pass(String pass)
	{
		return this.pass.equals(pass);
	}
	
	public String toString()
	{
		String mg = "h " + this.First_Name + " " + this.Last_Name + " ";
		mg = mg + this.user_name + " " + this.pass + "\n";
		return mg;
	}

}
